# Uses of Class
org.opensaml.core.xml.util.AttributeMap

Packages that use AttributeMap
Package
Description
org.opensaml.core.xml
Base classes for working with XML as Java objects and configuring the library.
org.opensaml.core.xml.mock
org.opensaml.core.xml.schema.impl
Implementations of the interfaces for XMLObjects that represent XML schema types.
org.opensaml.core.xml.util
Utility classes for working with XML, XMLObjects, and various data types.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.soap.common
Common classes shared across SOAP versions, clients, and transports.
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.
org.opensaml.soap.wspolicy.impl
XML Object provider implementations for WS-Policy.
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of AttributeMap in org.opensaml.core.xml

Fields in org.opensaml.core.xml declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
AbstractExtensibleXMLObject.`anyAttributes`
xs:anyAttribute for this element.
Methods in org.opensaml.core.xml that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AbstractExtensibleXMLObject.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
AttributeExtensibleXMLObject.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.core.xml.mock

Fields in org.opensaml.core.xml.mock declared as AttributeMap
Modifier and Type
Field
Description
`private AttributeMap`
SimpleXMLObject.`unknownAttributes`
anyAttribute wildcard attributes.
Methods in org.opensaml.core.xml.mock that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
SimpleXMLObject.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.core.xml.schema.impl

Fields in org.opensaml.core.xml.schema.impl declared as AttributeMap
Modifier and Type
Field
Description
`private AttributeMap`
XSAnyImpl.`unknownAttributes`
Attributes for this element.
Methods in org.opensaml.core.xml.schema.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
XSAnyImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.core.xml.util

Methods in org.opensaml.core.xml.util with parameters of type AttributeMap
Modifier and Type
Method
Description
`static void`
XMLObjectSupport.`marshallAttributeMap(AttributeMap attributeMap, Element domElement)`
Marshall the attributes represented by the indicated AttributeMap into the indicated DOM Element.
`static void`
XMLObjectSupport.`marshallAttributeMapIDness(AttributeMap attributeMap, Element domElement)`
Marshall the ID-ness of attributes represented by the indicated AttributeMap into the indicated DOM Element.
`static void`
XMLObjectSupport.`unmarshallToAttributeMap(AttributeMap attributeMap, Attr attribute)`
Unmarshall a DOM Attr to an AttributeMap.

## Uses of AttributeMap in org.opensaml.saml.saml2.core.impl

Fields in org.opensaml.saml.saml2.core.impl declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
AttributeImpl.`unknownAttributes`
"anyAttribute" attributes.
`private final AttributeMap`
SubjectConfirmationDataImpl.`unknownAttributes`
"anyAttribute" attributes.
Methods in org.opensaml.saml.saml2.core.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AttributeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
SubjectConfirmationDataImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.saml.saml2.metadata.impl

Fields in org.opensaml.saml.saml2.metadata.impl declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
AffiliationDescriptorImpl.`unknownAttributes`
"anyAttribute" attributes.
`private final AttributeMap`
ContactPersonImpl.`unknownAttributes`
"anyAttribute" attributes.
`private final AttributeMap`
EndpointImpl.`unknownAttributes`
"anyAttribute" attributes.
`private final AttributeMap`
EntityDescriptorImpl.`unknownAttributes`
"anyAttribute" attributes.
`private final AttributeMap`
OrganizationImpl.`unknownAttributes`
"anyAttribute" attributes.
`private final AttributeMap`
RoleDescriptorImpl.`unknownAttributes`
"anyAttribute" attributes.
Methods in org.opensaml.saml.saml2.metadata.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AffiliationDescriptorImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
ContactPersonImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
EndpointImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
EntityDescriptorImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
OrganizationImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
RoleDescriptorImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
RoleDescriptorXSAnyAdapter.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.soap.common

Fields in org.opensaml.soap.common declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
AbstractExtensibleSOAPObject.`attributes`
Attributes of the proxied Element.
Methods in org.opensaml.soap.common that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AbstractExtensibleSOAPObject.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.soap.wsaddressing.impl

Fields in org.opensaml.soap.wsaddressing.impl declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
AttributedQNameImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
AttributedUnsignedLongImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
AttributedURIImpl.`unknownAttributes`
xs:anyAttribute for this element.
`private final AttributeMap`
EndpointReferenceTypeImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
MetadataImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
ProblemActionImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
ReferenceParametersImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
RelatesToImpl.`unknownAttributes`
Wildcard attributes.
Methods in org.opensaml.soap.wsaddressing.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AttributedQNameImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
AttributedUnsignedLongImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
AttributedURIImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
EndpointReferenceTypeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
MetadataImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
ProblemActionImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
ReferenceParametersImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
RelatesToImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.soap.wspolicy.impl

Fields in org.opensaml.soap.wspolicy.impl declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
AppliesToImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
PolicyAttachmentImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
PolicyImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
PolicyReferenceImpl.`unknownAttributes`
xs:anyAttribute attributes.
Methods in org.opensaml.soap.wspolicy.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AppliesToImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
PolicyAttachmentImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
PolicyImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
PolicyReferenceImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.soap.wssecurity.impl

Fields in org.opensaml.soap.wssecurity.impl declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
AttributedStringImpl.`attributes`
The wildcard attributes.
`private final AttributeMap`
AttributedURIImpl.`attributes`
The wildcard attributes.
`private final AttributeMap`
AttributedDateTimeImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
EmbeddedImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
ReferenceImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
SecurityImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
SecurityTokenReferenceImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
TimestampImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
TransformationParametersImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
UsernameTokenImpl.`unknownAttributes`
Wildcard attributes.
Methods in org.opensaml.soap.wssecurity.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AttributedDateTimeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
AttributedStringImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
AttributedURIImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
EmbeddedImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
ReferenceImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
SecurityImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
SecurityTokenReferenceImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
TimestampImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
TransformationParametersImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
UsernameTokenImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.soap.wstrust.impl

Fields in org.opensaml.soap.wstrust.impl declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
BinaryExchangeImpl.`unknownAttributes`
xs:anyAttribute for this element.
`private final AttributeMap`
ClaimsImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
EntropyImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
RequestSecurityTokenImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
RequestSecurityTokenResponseCollectionImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
RequestSecurityTokenResponseImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
SignChallengeTypeImpl.`unknownAttributes`
Wildcard attributes.
`private final AttributeMap`
BinarySecretImpl.`unknownChildren`
Wildcard attributes.
Methods in org.opensaml.soap.wstrust.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
BinaryExchangeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
BinarySecretImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
ClaimsImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
EntropyImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
RequestSecurityTokenImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
RequestSecurityTokenResponseCollectionImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
RequestSecurityTokenResponseImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
SignChallengeTypeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.xacml.ctx.impl

Fields in org.opensaml.xacml.ctx.impl declared as AttributeMap
Modifier and Type
Field
Description
`private AttributeMap`
AttributeValueTypeImpl.`unknownAttributes`
"any" attributes.
`private AttributeMap`
ResourceContentTypeImpl.`unknownAttributes`
"any" attributes.
Methods in org.opensaml.xacml.ctx.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AttributeValueTypeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.
`AttributeMap`
ResourceContentTypeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.xacml.policy.impl

Fields in org.opensaml.xacml.policy.impl declared as AttributeMap
Modifier and Type
Field
Description
`private AttributeMap`
AttributeValueTypeImpl.`unknownAttributes`
"any" attributes.
Methods in org.opensaml.xacml.policy.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
AttributeValueTypeImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.

## Uses of AttributeMap in org.opensaml.xmlsec.encryption.impl

Fields in org.opensaml.xmlsec.encryption.impl declared as AttributeMap
Modifier and Type
Field
Description
`private final AttributeMap`
EncryptionPropertyImpl.`unknownAttributes`
"anyAttribute" attributes.
Methods in org.opensaml.xmlsec.encryption.impl that return AttributeMap
Modifier and Type
Method
Description
`AttributeMap`
EncryptionPropertyImpl.`getUnknownAttributes()`
Gets a mutable map of the attributes.